unit ValeurEff;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Buttons, GTSdef, graphe, ExtCtrls;

type
  TValeurEffDlg = class(TForm)
    PageControl: TPageControl;
    PhaseTS: TTabSheet;
    EfficaceTS: TTabSheet;
    Memo1: TMemo;
    Memo2: TMemo;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    MesureFreqRG: TRadioGroup;
    procedure OKBtnClick(Sender: TObject);
  private
  public
  end;

var
  ValeurEffDlg: TValeurEffDlg;

implementation

{$R *.dfm}

procedure TValeurEffDlg.OKBtnClick(Sender: TObject);
var i : integer;
begin
   for i := voieA to voieAnaMax do
       grapheGTS.voieOrphy[i].active := false;
   if PageControl.activePage=PhaseTS then begin
      with grapheGTS.voieOrphy[voieA+2] do begin
           ChercheCapteur(gPhase);
           if isGTI2 then numOrphy := 5 else numOrphy := 9; // prise H
           active := true;
      end;
      Frequence.numVoie := 1; // EF1
      Frequence.freqEA11 := false;
      Frequence.active := true;
   end;
   if PageControl.activePage=EfficaceTS then begin // prise H
      Frequence.freqEA11 := mesureFreqRG.itemIndex=1;
      if isGTI2 and Frequence.freqEA11
         then Frequence.numVoie := 9
         else Frequence.numVoie := 1;
      Frequence.active := true;
   end;
   with grapheGTS.voieOrphy[voieA] do begin
        ChercheCapteur(gEntree);
        if isGTI2 then numOrphy := 4 else numOrphy := 8; //prise G
        active := true;
   end;
   with grapheGTS.voieOrphy[voieA+1] do begin
        ChercheCapteur(gSortie);
        if isGTI2 then numOrphy := 8 else numOrphy := 10;
        active := true;
   end;
   grapheGTS.voieAbscisse := voieF;
   grapheGTS.modeAcq := AcqPoint;
end;

end.
