unit capAutocfg;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, Tabs,
  Buttons, ExtCtrls, sysutils, ComCtrls, Spin,
  gtsdef, gtsutil, constGTS, aideGTS2;

type
  TCapteurAutoCfgDlg = class(TForm)
    ButtonPanel: TPanel;
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Notebook: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    GrandeurGB: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    EditNom: TEdit;
    EditUnite: TEdit;
    EditSignif: TEdit;
    GroupBox1: TGroupBox;
    PageControl1: TPageControl;
    TabSheet3: TTabSheet;
    TabSheet4: TTabSheet;
    TabSheet5: TTabSheet;
    TabSheet6: TTabSheet;
    pot2CB: TCheckBox;
    Pot0CB: TCheckBox;
    Pot1CB: TCheckBox;
    Pot3CB: TCheckBox;
    Aide2: TLabeledEdit;
    Valeur2: TLabeledEdit;
    Aide0: TLabeledEdit;
    Valeur0: TLabeledEdit;
    Aide3: TLabeledEdit;
    Valeur3: TLabeledEdit;
    Aide1: TLabeledEdit;
    Valeur1: TLabeledEdit;
    val0Edit: TLabeledEdit;
    PenteEdit: TLabeledEdit;
    PotarUD3: TUpDown;
    PotarE3: TEdit;
    PotarE0: TEdit;
    PotarUD0: TUpDown;
    PotarE1: TEdit;
    PotarUD1: TUpDown;
    PotarE2: TEdit;
    PotarUD2: TUpDown;
    TabSheet7: TTabSheet;
    pot4CB: TCheckBox;
    Aide4: TLabeledEdit;
    Valeur4: TLabeledEdit;
    PotarE4: TEdit;
    PotarUD4: TUpDown;
    SynchroCB: TCheckBox;
    ModeAcqCB: TComboBox;
    TabSheet8: TTabSheet;
    GroupBox2: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    EditNom1: TEdit;
    EditUnite1: TEdit;
    EditSignif1: TEdit;
    GroupBox3: TGroupBox;
    val0edit1: TLabeledEdit;
    penteedit1: TLabeledEdit;
    AffichageGB: TGroupBox;
    EditMini: TLabeledEdit;
    EditMaxi: TLabeledEdit;
    GroupBox4: TGroupBox;
    EditMini1: TLabeledEdit;
    EditMaxi1: TLabeledEdit;
    ExpressionEdit: TLabeledEdit;
    LinearCB: TCheckBox;
    PotarFigeCB: TCheckBox;
    EditTitre1: TLabeledEdit;
    EditTitre: TLabeledEdit;
    procedure FormActivate(Sender: TObject);
    procedure EditNomChange(Sender: TObject);
    procedure OKBtnClick(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
    procedure LinearCBClick(Sender: TObject);
  private
  public
    CapteurCourant : TCapteurAuto;
  end;

var
  CapteurAutoCfgDlg: TCapteurAutoCfgDlg;

implementation

{$R *.DFM}

procedure TCapteurAutoCfgDlg.FormActivate(Sender: TObject);
begin with capteurCourant do begin
     EditSignif.text := signifC[0];
     EditSignif1.text := signifC[1];
     EditTitre.text := titreC[0];
     EditTitre1.text := titreC[1];

     Aide0.text := aidePotar[0];
     Aide1.text := aidePotar[1];
     Aide2.text := aidePotar[2];
     Aide3.text := aidePotar[3];
     Aide4.text := aidePotar[4];
     Valeur0.text := FormatGTS(valeurAttendue[0]);
     Valeur1.text := FormatGTS(valeurAttendue[1]);
     Valeur2.text := FormatGTS(valeurAttendue[2]);
     Valeur3.text := FormatGTS(valeurAttendue[3]);
     Valeur4.text := FormatGTS(valeurAttendue[4]);
     PotarUD0.position := valeurPotar[0];
     PotarUD1.position := valeurPotar[1];
     PotarUD2.position := valeurPotar[2];
     PotarUD3.position := valeurPotar[3];
     PotarUD4.position := valeurPotar[4];
     SynchroCB.checked := capteurSynchro;
     Pot0CB.checked := PotarActif[0];
     Pot1CB.checked := PotarActif[1];
     Pot2CB.checked := PotarActif[2];
     Pot3CB.checked := PotarActif[3];
     Pot4CB.checked := PotarActif[4];
     EditNom.text := nomC[0];
     EditUnite.text := nomUniteC[0];
     EditNom1.text := nomC[1];
     EditUnite1.text := nomUniteC[1];
     val0Edit.text := FormatGts(offsetC[0]);
     penteEdit.text := FormatGts(unVoltC[0]);
     val0Edit1.text := FormatGts(offsetC[1]);
     penteEdit1.text := FormatGts(unVoltC[1]);
     penteEdit.EditLabel.caption := DeltaMaj+nomC[0]+'/'+DeltaMaj+'V'+
         ' ('+nomUniteC[0]+'/V)';
     penteEdit1.EditLabel.caption := DeltaMaj+nomC[1]+'/'+DeltaMaj+'V'+
         ' ('+nomUniteC[1]+'/V)';
     EditMini.text := FormatGTS(miniAff[0]);
     EditMaxi.text := FormatGTS(maxiAff[0]);
     EditMini1.text := FormatGTS(miniAff[1]);
     EditMaxi1.text := FormatGTS(maxiAff[1]);
     modeAcqCB.itemIndex := ord(modeAcq);
     expressionEdit.text := expressionC[1];
     linearCB.Checked := expressionC[1]='';
     ExpressionEdit.EditLabel.caption := EditNom.Text+'=';
     ExpressionEdit.visible := not linearCB.checked;
     val0Edit1.Visible := linearCB.checked;
     penteEdit1.Visible := linearCB.checked;
     potarFigeCB.Checked := potarFige;
end end;

procedure TCapteurAutoCfgDlg.EditNomChange(Sender: TObject);
begin
     PenteEdit.EditLabel.caption := DeltaMaj+EditNom.text+'/'+DeltaMaj+'V'+
        ' ('+EditUnite.text+'/V)';
     AffichageGB.caption := trAffichage+EditUnite.text+')';
     ExpressionEdit.EditLabel.caption := EditNom.Text+'=';
end;

procedure TCapteurAutoCfgDlg.OKBtnClick(Sender: TObject);

Procedure setValeur(aedit : tLabeledEdit;var valeur : double);
begin
     try
     valeur := StrToFloatWin(aEdit.text);
     except
     end;
end;

begin with capteurCourant do begin
     potarFige := potarFigeCB.Checked;
     signifC[0] := EditSignif.text;
     signifC[1] := EditSignif1.text;
     titreC[0] := EditTitre.text;
     titreC[1] := EditTitre1.text;

     modeAcq := TmodeAcq(modeAcqCB.itemIndex);
     aidePotar[0]:= Aide0.text;
     aidePotar[1] := Aide1.text;
     aidePotar[2] := Aide2.text;
     aidePotar[3] := Aide3.text;
     aidePotar[4] := Aide4.text;
     setValeur(valeur0,valeurAttendue[0]);
     setValeur(valeur1,valeurAttendue[1]);
     setValeur(valeur2,valeurAttendue[2]);
     setValeur(valeur3,valeurAttendue[3]);
     setValeur(valeur4,valeurAttendue[4]);
     capteurSynchro := SynchroCB.checked;
     valeurPotar[0] := PotarUD0.position;
     valeurPotar[1] := PotarUD1.position;
     valeurPotar[2] := PotarUD2.position;
     valeurPotar[3] := PotarUD3.position;
     valeurPotar[4] := PotarUD4.position;
     PotarActif[0] := Pot0CB.checked;
     PotarActif[1] := Pot1CB.checked;
     PotarActif[2] := Pot2CB.checked;
     PotarActif[3] := Pot3CB.checked;
     PotarActif[4] := Pot4CB.checked;
     nomC[0] := EditNom.text;
     nomUniteC[0] := EditUnite.text;
     nomC[1] := EditNom1.text;
     nomUniteC[1] := EditUnite1.text;
     setValeur(val0Edit,OffsetC[0]);
     setValeur(penteEdit,UnVoltC[0]);
     setValeur(val0Edit1,OffsetC[1]);
     setValeur(penteEdit1,UnVoltC[1]);
     setValeur(EditMini,miniAff[0]);
     setValeur(EditMaxi,maxiAff[0]);
     setValeur(EditMini1,miniAff[1]);
     setValeur(EditMaxi1,maxiAff[1]);
     if linearCB.Checked
        then expressionC[1] := ''
        else expressionC[1] := expressionEdit.text;
end end;

procedure TCapteurAutoCfgDlg.HelpBtnClick(Sender: TObject);
begin
     Application.HelpContext(HELP_Capteurs)
end;

procedure TCapteurAutoCfgDlg.LinearCBClick(Sender: TObject);
begin
   expressionEdit.Visible := not linearCB.checked;
   val0Edit1.Visible := linearCB.checked;
   penteEdit1.Visible := linearCB.checked;
end;

end.

