unit grapheLight;

interface

uses winTypes, winProcs, sysUtils, graphics, classes,
     Forms, Controls, Buttons, StdCtrls, ExtCtrls, Dialogs, inifiles,
     maths, gtsUtil, uniteKer, gtsdef, constgts, math;

const
        IntSansSignif = -1;
        dimPoint : integer = 2;
type
        TmodeSA = (saRampe,saImpulsion,saUtilisateur);

	Tgraphe = class
                 Canvas : Tcanvas;
      		 vecteurX,vecteurY : vecteur;
                 Ax,Bx,Ay,By,maxiY,miniY : double;
		 LimiteFenetre : Trect;
                 NbrePoints : indiceVecteur;
                 y0 : double;
		 Procedure Draw(TexteAbscisse : shortString);
	 end;

IMPLEMENTATION

procedure Tgraphe.Draw(TexteAbscisse : shortString);
var maxiX,miniX : double;
    i : indiceVecteur;
    xi,yi : integer;
begin
     canvas.pen.width := 1;
     canvas.pen.style := psSolid;
     canvas.pen.color := clBlue;
     miniX := vecteurX[0];
     maxiX := vecteurX[NbrePoints];
     AX := (limiteFenetre.right-limiteFenetre.left)/(MaxiX-MiniX);
     BX := limiteFenetre.left-MiniX*AX;
     AY := (limiteFenetre.top-limiteFenetre.bottom)/(MaxiY-MiniY);
     BY := limiteFenetre.Bottom-MiniY*AY;
     xi := round(AX*vecteurX[0]+BX);
     yi := round(AY*vecteurY[0]+BY);
     canvas.MoveTo(xi,yi);
     for i := 0 to NbrePoints do begin
        yi := round(AY*vecteurY[i]+BY);
        canvas.LineTo(xi,yi);
        xi := round(AX*vecteurX[i]+BX);
        canvas.LineTo(xi,yi);
     end;{for i}
     xi := round(AX*vecteurX[0]+BX);
     yi := round(AY*y0+BY);
     canvas.MoveTo(xi,yi);
     xi := round(AX*vecteurX[NbrePoints]+BX);
     canvas.pen.style := psDot;
     canvas.pen.color := clBlack;
     canvas.LineTo(xi,yi);
     canvas.textOut(xi-70,yi-10,TexteAbscisse);
end;


end.

