unit About;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
   Buttons, ExtCtrls, SysUtils, shellApi, Dialogs, constgts;

type
   TAboutBox = class(TForm)
      Panel1:      TPanel;
      OKButton:    TBitBtn;
      ProductName: TLabel;
      Version:     TLabel;
      Copyright:   TLabel;
      Comments:    TLabel;
      ProgramIcon: TImage;
      Label1:      TLabel;
      VersionOrphylabel: TLabel;
      Label2:      TLabel;
      BitBtn1:     TBitBtn;
      Label3: TLabel;
      procedure FormActivate(Sender: TObject);
      procedure BitBtn1Click(Sender: TObject);
   private
   public
   end;

var
   AboutBox: TAboutBox;

implementation

uses gtsdef, gti2comp, GTSMAIN;

{$R *.DFM}

procedure TAboutBox.FormActivate(Sender: TObject);
begin
   if isGTI2 then
      VersionOrphyLabel.Caption := gti2.version
   else
      VersionOrphyLabel.Caption := GTSmainForm.versionOrphy + ' sur COM' +
         IntToStr(GTSmainForm.VoieSerie.comNumber);
end;

procedure TAboutBox.BitBtn1Click(Sender: TObject);
const
   FileName = 'http://pagesperso-orange.fr/jean-michel.millet/miseajourGTS2.html';
begin
   if ShellExecute(Handle, 'open', PChar(FileName), nil, nil, SW_SHOW) <= 32 then
      ShowMessage('Impossible d''accder  ' + Filename);
end;

end.

