unit MagnumStop;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TMagnumStopDlg = class(TForm)
    OKBtn: TBitBtn;
    Timer: TTimer;
    Label2: TLabel;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TimerTimer(Sender: TObject);
  private
    N : integer;
  public
  end;

var
  MagnumStopDlg: TMagnumStopDlg;

implementation

uses GtsMain;

{$R *.DFM}

procedure TMagnumStopDlg.OKBtnClick(Sender: TObject);
begin
     GtsMainForm.stopMagnum;
     Close
end;

procedure TMagnumStopDlg.FormActivate(Sender: TObject);
begin
     label2.visible := GtsMainForm.MagnumAutoCB.checked;
     timer.enabled := GtsMainForm.MagnumAutoCB.checked;
     if timer.enabled then begin
        N := GtsMainForm.MagnumSE.value+2;
        label2.caption := 'Arrt dans '+intToStr(N)+' secondes';
        timerTimer(nil);
     end;
end;

procedure TMagnumStopDlg.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
    timer.enabled := false
end;

procedure TMagnumStopDlg.TimerTimer(Sender: TObject);
const carac : array[boolean] of char = (' ','s');
begin
     dec(N);
     if N=0
        then OKBtnClick(nil)
        else label2.caption := 'Arrt dans '+intToStr(N)+' seconde'+carac[N>1];
end;

end.
