unit aideConfigu;

interface

uses Windows, Classes, Graphics, Forms, Buttons,
  StdCtrls, ExtCtrls, SysUtils, dialogs, 
  constGts, gtsmain, Controls, gtsDef;

type
  TAideConfigDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    Titre: TLabeledEdit;
    Description: TLabeledEdit;
    ProtocoleRG: TRadioGroup;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure HelpBtnClick(Sender: TObject);
  private
  public
  end;

var
  AideConfigDlg: TAideConfigDlg;

implementation

{$R *.DFM}

procedure TAideConfigDlg.HelpBtnClick(Sender: TObject);
begin
   Application.HelpContext(HELP_Index)
end;

procedure TAideConfigDlg.OKBtnClick(Sender: TObject);
begin
    GtsMainForm.TitreP := Titre.text;
    GtsMainForm.Commentaire := Description.text;
end;

procedure TAideConfigDlg.FormActivate(Sender: TObject);
begin
    Titre.text := GtsMainForm.TitreP;
    Description.text := GtsMainForm.commentaire;
end;

end.
