program gts2;

uses
  Forms,
  Oneinst in 'Oneinst.pas',
  MATHS in 'MATHS.PAS',
  Hirestmr in 'Hirestmr.pas',
  Constgts in 'Constgts.pas',
  GTSUTIL in 'GTSUTIL.PAS',
  UNITEKER in 'UNITEKER.PAS',
  GTSDEF in 'GTSDEF.PAS',
  GRAPHE in 'GRAPHE.PAS',
  GTSMAIN in 'GTSMAIN.PAS' {GTSmainForm},
  SYNCHRO in 'SYNCHRO.PAS' {SynchroDlg},
  MODEDLG in 'MODEDLG.PAS' {modeAcqDlg},
  voieCalcCfg in 'voieCalcCfg.PAS' {voieCalcDlg},
  FreqFiltreU in 'FreqFiltreU.PAS' {FreqFiltreDlg},
  ABOUT in 'ABOUT.PAS' {AboutBox},
  CLAVIER in 'CLAVIER.PAS' {ClavierDlg},
  GTSDDE in 'GTSDDE.PAS' {FormDDE},
  SADLG in 'SADLG.PAS' {SortieAnaDlg},
  capAutocfg in 'capAutocfg.pas' {CapteurAutoCfgDlg},
  choixCapAuto in 'choixCapAuto.pas' {CapteurAutoDlg},
  LISTECAP in 'LISTECAP.PAS' {ListeCapteursDlg},
  optPro in 'optPro.pas' {OptionsDlg},
  MagnumDlg in 'MagnumDlg.pas' {MagnumCfg},
  Gtsconst in 'Gtsconst.pas' {ConstanteDlg},
  CodeurDlg in 'CodeurDlg.pas' {CodeurCfg},
  MagnumStop in 'MagnumStop.pas' {MagnumStopDlg},
  PWMU in 'PWMU.pas' {PWMDlg},
  GBF_GTI2_dlg in 'GBF_GTI2_dlg.pas' {GBF_GTI2Form},
  SysInfoCtrls in 'SysInfoCtrls.pas',
  ValeurEffGTI2 in 'ValeurEffGTI2.pas' {ValeurEffGTI2Dlg},
  photocolorU in 'photocolorU.PAS' {photocolorDlg},
  Choixcap in 'Choixcap.pas' {ChoixCapteursDlg},
  GTSCFG in 'GTSCFG.PAS' {OrphyGtsDlg},
  capcfg in 'capcfg.pas' {CapteurCfgDlg},
  RomStop in 'RomStop.pas' {RomStopDlg},
  gti2_dynamique in 'gti2_dynamique.pas',
  GTI2comp in 'GTI2comp.PAS',
  ETALONAutofige in 'ETALONAutofige.PAS' {EtalonneInterAutoDlg},
  VerifRom in 'VerifRom.pas' {VerifRomDlg},
  Gbf in 'Gbf.pas' {GBFForm},
  GBF_gti2_comp in 'GBF_gti2_comp.pas',
  gbf_syntaxe in 'gbf_syntaxe.pas' {SyntaxeDlg},
  gp305 in 'gp305.pas' {GP305Form},
  EFRONT in 'EFRONT.PAS' {EfrontDlg},
  aideSondor in 'aideSondor.pas' {AideSondorDlg},
  ETALONAuto in 'ETALONAuto.PAS' {EtalonneAutoDlg},
  ETALON in 'ETALON.PAS' {EtalonneInterDlg},
  lumicolorU in 'lumicolorU.PAS' {lumicolorDlg},
  aideConfigu in 'aideConfigu.pas' {AideConfigDlg},
  ValeurEffGTS2 in 'ValeurEffGTS2.pas' {ValeurEffGTS2Dlg},
  Fft in 'Fft.pas',
  OxymetreU in 'OxymetreU.pas' {OxymetreEtalon},
  NerfU in 'NerfU.pas' {NerfDlg},
  AideGTS2 in 'AideGTS2.pas';

{$R *.RES}

begin
  Application.Title := 'GTS2';
  Application.HelpFile := 'GTS2.HLP';
  EnsureSingleInstance;
  Application.CreateForm(TGTSmainForm, GTSmainForm);
  Application.CreateForm(TConstanteDlg, ConstanteDlg);
  Application.CreateForm(TFormDDE, FormDDE);
  Application.CreateForm(TOrphyGtsDlg, OrphyGtsDlg);
  Application.CreateForm(TEtalonneInterAutoDlg, EtalonneInterAutoDlg);
  Application.CreateForm(TAideSondorDlg, AideSondorDlg);
  Application.CreateForm(TEtalonneAutoDlg, EtalonneAutoDlg);
  Application.CreateForm(TEtalonneInterDlg, EtalonneInterDlg);
  Application.CreateForm(TAideConfigDlg, AideConfigDlg);
  Application.CreateForm(TOxymetreEtalon, OxymetreEtalon);
  Application.CreateForm(TNerfDlg, NerfDlg);
  Application.Run;
end.
